RETROARCH-CG2GLSL(1)

NAME
retroarch-cg2glsl - Shader converter.

SYNOPSIS
retroarch-cg2glsl [Cg file] [GLSL file output]

retroarch-cg2glsl [Cg directory] [GLSL directory output]

DESCRIPTION
retroarch-cg2glsl converts Cg shaders to GLSL shaders. It can convert single shaders as well as whole folder structures in batch. 100% compatibility is not guaranteed, but almost all shaders should work fine. Cg presets (.cgp) are not converted at the moment, but converting them is as simple as copying over the .cgp, rename it to .glslp and replace references to .cg files to .glsl.

Requires Python 3 and cgc (nvidia-cg-toolkit) 3.1.

EXAMPLE COMMANDLINES

Convert a Cg shader to GLSL shader
    retroarch-cg2glsl prog.cg(p) prog.glsl(p)

Convert a Cg directory to GLSL directory
    retroarch-cg2glsl cg-dir out-xml-shader-dir